# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name lrucache

%global common_summary Simple pure LRU cache

%global common_description This package contains a simple, pure LRU cache,\
implemented in terms of "Data.Map".\
\
It also contains a mutable IO wrapper providing atomic updates to an LRU cache.

Name:           ghc-%{pkg_name}
Version:        1.1.1.3
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri Mar  8 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.1.1.3-1
- spec file generated by cabal-rpm-0.7.1
